Subject: Re: bug#19050: Fail compile emacs with jpeg library on MinGW32

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Nov 2014 05:48:47 +0200

> From: Lin Sun (孙林) <[email-masked]>
> CC: "[email-masked]" <[email-masked]>
> Date: Mon, 17 Nov 2014 01:15:58 +0000
> 
> The lib jpeg can download from http://www.annexia.org/tmp/mingw/fedora-rawhide/src/SRPMS/mingw32-libjpeg-6b-8.fc11.src.rpm.

Please try with this one instead:

  http://sourceforge.net/projects/ezwinports/files/jpeg-v9a-w32-bin.zip/download

> I think the line
> > #if defined CYGWIN && defined HAVE_NTGUI
> will make the libjpeg invalid when compile Emacs on MinGW32.

It shouldn't.  The problem that part solves is specific to the Cygwin
port of libjpeg, it shouldn't happen on MinGW.

> I had compile a Emacs with libjpeg on MinGW32, and the Emacs can show the *.jpg files well.

So did I, without that line.